/*----------------------------------------------------------------------------
   File   :    InputHandy.h
   Projekt:    InputView ab V0.24
   Inhalt :    defines, structs, prototypes...

   Version:    0.24
   Datum  :    22.Mrz 1991

   Autor  :    Uwe Rhm
   Adresse:    Auber Str. 25,  W-6209 Hohenstein 4
    (Semester) Wrthstr. 18    W-8390 Passau
   Bemerkung:
   Was soll man da noch sagen....
----------------------------------------------------------------------------*/

#include <exec/Types.h>
#include <exec/ports.h>
#include <devices/InputEvent.h>

/* ----------------------------   Defines...   ---------------------------- */
#define HAILTEXT "[33m[1m             InputView  V %d.%d[0m\n 1991 Uwe Rhm von   'Soft from the Wood'\n\n"
#define WAITTIME 5
#define PORTNAME "Input Viewer"
#define HANDLERPRI  56
#define PHANDLERNAME "ProudHandler"
#define KHANDLERNAME "KillerHandler"
#define MEMOPTS MEMF_CLEAR|MEMF_PUBLIC
#define BUFFERMAX   1000


/* ------------------------   eigene Strukturen   ------------------------- */
struct IEZahlen {
   int TimerMax,
       Timer,
       IESignal;
   struct MsgPort *MyPort;          /* Zeiger auf den Msg-Port meines PRGs*/
   struct InputEvent *BufferAnfang, /* Der Buffer, in den ich IEvents kopieren kann, */
                     *BufferEnde,   /* sowie dessen Ende, */
                     *BufferMarke;  /* und ein Zeiger, wo darin ich gerade bin */
   };


/* -----------------------   Funktionsprototypen   ------------------------ */

/* InputMain.c */
BOOL OpenDevs (VOID);
BOOL OpenAll (VOID);
VOID CloseAll (VOID);
VOID ShowHelp (VOID);
BOOL TestArgs (int, char *[]);

/* InputHandler.c */
struct InputEvent* __regargs ProudHandler (struct InputEvent *,struct IEZahlen *);
struct InputEvent* __regargs KillerHandler (struct InputEvent *, APTR);
VOID LaunchPHandler (VOID);
VOID LaunchKHandler (VOID);
VOID CatchHandler (VOID);
VOID InInput (VOID);
int SaveEvents (VOID);
int LoadEvents (VOID);

